org.apache.lucene.analysis.th

## Class ThaiAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.th.ThaiAnalyzer

-     public class ThaiAnalyzer
      extends org.apache.lucene.analysis.Analyzer

  `Analyzer` for Thai language. It uses `BreakIterator` to break words.
  Version:
    0.2

    NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `overridesTokenStreamMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThaiAnalyzer()` Deprecated. Use `ThaiAnalyzer(Version)` instead
    `ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.TokenStream` | `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)`
    `org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThaiAnalyzer

          public ThaiAnalyzer()

      Deprecated. Use `ThaiAnalyzer(Version)` instead

    - #### ThaiAnalyzer

          public ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)

  - ### Method Detail

    - #### tokenStream

          public org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                                    java.io.Reader reader)

      Specified by:
        `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

    - #### reusableTokenStream

          public org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                            java.io.Reader reader)
                                                                     throws java.io.IOException

      Overrides:
        `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.